org.apache.ignite.internal.managers.loadbalancer

## Class GridLoadBalancerAdapter

- java.lang.Object
- - org.apache.ignite.internal.managers.loadbalancer.GridLoadBalancerAdapter

All Implemented Interfaces:
  Externalizable, Serializable, ComputeLoadBalancer

    public abstract class GridLoadBalancerAdapter
    extends Object
    implements ComputeLoadBalancer, Externalizable

This adapter allows for graceful exception when load balancer gets marshalled.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridLoadBalancerAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `readExternal(ObjectInput in)`
`protected Object` `readResolve()` Reconstructs object on unmarshalling.
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.compute.ComputeLoadBalancer

`getBalancedNode`

### Constructor Detail

#### GridLoadBalancerAdapter

    public GridLoadBalancerAdapter()

### Method Detail

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### readResolve

    protected Object readResolve()
                          throws ObjectStreamException

Reconstructs object on unmarshalling.

Returns:
  Reconstructed object.
Throws:
  `ObjectStreamException` - Thrown in case of unmarshalling error.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023